# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: "http://devicetree.org/schemas/input/regulator-haptic.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Regulator Haptic

maintainers:
  - Jaewon Kim <jaewon02.kim@samsung.com>

properties:
  compatible:
    const: regulator-haptic

  haptic-supply:
    description: >
      Power supply to the haptic motor

  max-microvolt:
    description: >
      The maximum voltage value supplied to the haptic motor

  min-microvolt:
    description: >
      The minimum voltage value supplied to the haptic motor

required:
  - compatible
  - haptic-supply
  - max-microvolt
  - min-microvolt

additionalProperties: false

examples:
  - |
    haptics {
        compatible = "regulator-haptic";
        haptic-supply = <&motor_regulator>;
        max-microvolt = <2700000>;
        min-microvolt = <1100000>;
    };
